polybori::object Class Reference

`#include <embed.h>`

Inheritance diagram for polybori::object:

## Public Member Functions

template<class Type >
| object (const Type &obj)
| Unary constructors. More...
| object ()
| Default constructor. More...
self | operator() (const DerefProxy< tuple > &args, const DerefProxy< DerefProxy< dict > > &kwds) const
| Generic call operation. More...
Call with plain arguments
template<class Type >
self | operator() (const Type &arg) const
template<class Type1 , class Type2 >
self | operator() (const Type1 &arg1, const Type2 &arg2) const
template<class Type1 , class Type2 , class Type3 >
self | operator() (const Type1 &arg1, const Type2 &arg2, const Type3 &arg3) const
template<class Type1 , class Type2 , class Type3 , class Type4 >
self | operator() (const Type1 &arg1, const Type2 &arg2, const Type3 &arg3, const Type4 &arg4) const
Call with keyword arguments
template<class Type >
self | operator() (const DerefProxy< DerefProxy< dict > > &kwds) const
template<class Type >
self | operator() (const Type &arg, const DerefProxy< DerefProxy< dict > > &kwds) const
template<class Type1 , class Type2 >
self | operator() (const Type1 &arg1, const Type2 &arg2, const DerefProxy< DerefProxy< dict > > &kwds) const
template<class Type1 , class Type2 , class Type3 >
self | operator() (const Type1 &arg1, const Type2 &arg2, const Type3 &arg3, const DerefProxy< DerefProxy< dict > > &kwds) const
template<class Type1 , class Type2 , class Type3 , class Type4 >
self | operator() (const Type1 &arg1, const Type2 &arg2, const Type3 &arg3, const Type4 &arg4, const DerefProxy< DerefProxy< dict > > &kwds) const
Convertig to PolyBoRi types and some built-ins
| operator bool () const
| operator int () const
| operator long () const
| operator std::string () const
| operator const Ring & () const
| operator Polynomial () const
| operator Monomial () const
| operator const Variable & () const
| operator BooleSet () const
template<class Type >
| operator std::vector< Type > () const
template<class Type >
| operator std::list< Type > () const
template<class Type >
| operator std::set< Type > () const

## Detailed Description

This class extends boost::python::object by nice conversion operators

## Constructor & Destructor Documentation

template<class Type >

polybori::object::object | ( | const Type & | obj | ) |

inline

Unary constructors.

polybori::object::object | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

polybori::object::operator bool | ( |  | ) | const

inline

polybori::object::operator BooleSet | ( |  | ) | const

inline

polybori::object::operator const Ring & | ( |  | ) | const

inline

polybori::object::operator const Variable & | ( |  | ) | const

inline

polybori::object::operator int | ( |  | ) | const

inline

polybori::object::operator long | ( |  | ) | const

inline

polybori::object::operator Monomial | ( |  | ) | const

inline

polybori::object::operator Polynomial | ( |  | ) | const

inline

template<class Type >

polybori::object::operator std::list< Type > | ( |  | ) | const

inline

template<class Type >

polybori::object::operator std::set< Type > | ( |  | ) | const

inline

polybori::object::operator std::string | ( |  | ) | const

inline

template<class Type >

polybori::object::operator std::vector< Type > | ( |  | ) | const

inline

self polybori::object::operator() | ( | const DerefProxy< tuple > & | args,
|  | const DerefProxy< DerefProxy< dict > > & | kwds
| ) |  | const

inline

Generic call operation.

References polybori::DerefProxy< Type >::get().

template<class Type >

self polybori::object::operator() | ( | const Type & | arg | ) | const

inline

template<class Type1 , class Type2 >

self polybori::object::operator() | ( | const Type1 & | arg1,
|  | const Type2 & | arg2
| ) |  | const

inline

template<class Type1 , class Type2 , class Type3 >

self polybori::object::operator() | ( | const Type1 & | arg1,
|  | const Type2 & | arg2,
|  | const Type3 & | arg3
| ) |  | const

inline

template<class Type1 , class Type2 , class Type3 , class Type4 >

self polybori::object::operator() | ( | const Type1 & | arg1,
|  | const Type2 & | arg2,
|  | const Type3 & | arg3,
|  | const Type4 & | arg4
| ) |  | const

inline

template<class Type >

self polybori::object::operator() | ( | const DerefProxy< DerefProxy< dict > > & | kwds | ) | const

inline

template<class Type >

self polybori::object::operator() | ( | const Type & | arg,
|  | const DerefProxy< DerefProxy< dict > > & | kwds
| ) |  | const

inline

template<class Type1 , class Type2 >

self polybori::object::operator() | ( | const Type1 & | arg1,
|  | const Type2 & | arg2,
|  | const DerefProxy< DerefProxy< dict > > & | kwds
| ) |  | const

inline

template<class Type1 , class Type2 , class Type3 >

self polybori::object::operator() | ( | const Type1 & | arg1,
|  | const Type2 & | arg2,
|  | const Type3 & | arg3,
|  | const DerefProxy< DerefProxy< dict > > & | kwds
| ) |  | const

inline

template<class Type1 , class Type2 , class Type3 , class Type4 >

self polybori::object::operator() | ( | const Type1 & | arg1,
|  | const Type2 & | arg2,
|  | const Type3 & | arg3,
|  | const Type4 & | arg4,
|  | const DerefProxy< DerefProxy< dict > > & | kwds
| ) |  | const

inline

The documentation for this class was generated from the following file:

- embed.h